extends Node2D

func _ready():
    # Initialize the systems that should be available globally
    if not Engine.has_singleton("IsometricMapSystem"):
        Engine.register_singleton("IsometricMapSystem", load("res://scripts/isometric_map_system.gd").new())
    
    var map = $IsometricMapLayerHolder
    var player = $Player
    
    # Setup map and player
    map.set_player(player)
    map.init_player()
